package com.bytedance.ies.xbridge.base.runtime.depend;

import X.C0489K5w;
import X.K59;
import android.app.Activity;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Map;

public interface IHostUserDepend {
    static {
        Covode.recordClassIndex(31440);
    }

    String getAvatarURL();

    String getBoundEmail();

    String getBoundPhone();

    List<String> getBoundThirdPartyPlatforms();

    String getNickname();

    String getSecUid();

    String getUniqueID();

    String getUserId();

    UserModelExt getUserModelExt();

    boolean hasLogin();

    void login(Activity activity, C0489K5w k5w, Map<String, String> map);

    void logout(Activity activity, K59 k59, Map<String, String> map);

    public static final class UserModelExt {
        public String shortID;

        static {
            Covode.recordClassIndex(31441);
        }

        public final String getShortID() {
            return this.shortID;
        }

        public final void setShortID(String str) {
            this.shortID = str;
        }
    }
}
